com.jscape.inet.pop

## Interface PopListener

- All Superinterfaces:
    java.util.EventListener
  All Known Implementing Classes:
    PopAdapter

      public interface PopListener
      extends java.util.EventListener

  Implements methods for capturing events sourced from Pop class. Typicaly your application will implement this interface to capture the following events :
  PopConnectedEvent
  PopDisconnectedEvent
  PopCommandEvent
  PopResponseEvent
  PopMessageEvent
  PopMessageProgressEvent

  In addition to implementing this interface your application should register itself as an EventListener which may look somewhat like this:

       public class Application ... implements PopListener
       {
        ...
            public ... initMethod(...)
          {
            Pop pop = new Pop();
            pop.addPopListener(this);
          }
        ...
       }

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `commandSent(PopCommandEvent event)` Invoked when command is sent to the POP3 server.
    `void` | `connected(PopConnectedEvent event)` Invoked when connection to POP3 server is established.
    `void` | `disconnected(PopDisconnectedEvent event)` Invoked when connection to POP3 server is released.
    `void` | `messageRetrieved(PopMessageEvent event)` Invoked when message is retrieved from POP3 server.
    `void` | `progress(PopMessageProgressEvent event)` Invoked frequently during the download process of a message from POP server.
    `void` | `responseReceived(PopResponseEvent event)` Invoked when a response is received from POP3 server.

- - ### Method Detail

    - #### connected

          void connected(PopConnectedEvent event)

      Invoked when connection to POP3 server is established.
      Parameters:
        `event` - a `PopConnectedEvent`
      See Also:
        `PopConnectedEvent`

    - #### disconnected

          void disconnected(PopDisconnectedEvent event)

      Invoked when connection to POP3 server is released.
      Parameters:
        `event` - a `PopDisconnectedEvent`
      See Also:
        `PopDisconnectedEvent`

    - #### messageRetrieved

          void messageRetrieved(PopMessageEvent event)

      Invoked when message is retrieved from POP3 server.
      Parameters:
        `event` - a `PopMessageEvent`
      See Also:
        `PopMessageEvent`

    - #### progress

          void progress(PopMessageProgressEvent event)

      Invoked frequently during the download process of a message from POP server.
      Parameters:
        `event` - a `PopMessageProgressEvent`
      See Also:
        `PopMessageProgressEvent`

    - #### commandSent

          void commandSent(PopCommandEvent event)

      Invoked when command is sent to the POP3 server.
      Parameters:
        `event` - a `PopCommandEvent`
      See Also:
        `PopCommandEvent`

    - #### responseReceived

          void responseReceived(PopResponseEvent event)

      Invoked when a response is received from POP3 server.
      Parameters:
        `event` - a `PopResponseEvent`
      See Also:
        `PopResponseEvent`

Copyright © JSCAPE LLC. 1999-2021. All Rights Reserved